#include <iostream>

#include <tiffio.h>
#include <xtiffio.h>

int main(int argc, char* argv[])
{
   if (argc != 2)
   {
     std::cerr << argv[0] << " geotiff_filename" << std::endl;
     return 1;
   }
   
   TIFF* theTiffPtr = XTIFFOpen( argv[1], "rm");
   if (!theTiffPtr)
   {
      std::cerr << "XTIFFOpen failed" << std::endl;
      return 2;
   }


   unsigned int sub_file_type;
   if ( !TIFFGetField( theTiffPtr,
                       TIFFTAG_IMAGEWIDTH ,
                       &sub_file_type ) )
   {
      std::cerr << "TIFFGetField failed" << std::endl;
      return 3;
   }

   return 0;
}
